aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xscripts/full-test.sh10
-rwxr-xr-xscripts/fuzz.sh12
2 files changed, 13 insertions, 9 deletions
diff --git a/scripts/full-test.sh b/scripts/full-test.sh
index 742b1e3..906cc1f 100755
--- a/scripts/full-test.sh
+++ b/scripts/full-test.sh
@@ -9,12 +9,4 @@ cargo clippy --all-targets --all-features
cargo test --all-targets --all-features -- --nocapture
./scripts/test-e2e.sh
-
-pushd lib/xixanta
-cargo +nightly fuzz run fuzz_target_parser -- -max_total_time=180
-cargo +nightly fuzz run fuzz_target_assembler -- -max_total_time=180
-popd
-
-pushd lib/header
-cargo +nightly fuzz run fuzz_target_header -- -max_total_time=180
-popd
+./scripts/fuzz.sh
diff --git a/scripts/fuzz.sh b/scripts/fuzz.sh
new file mode 100755
index 0000000..59d52a2
--- /dev/null
+++ b/scripts/fuzz.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env sh
+
+set -ex
+
+pushd lib/xixanta
+cargo +nightly fuzz run fuzz_target_parser -- -max_total_time=180
+cargo +nightly fuzz run fuzz_target_assembler -- -max_total_time=180
+popd
+
+pushd lib/header
+cargo +nightly fuzz run fuzz_target_header -- -max_total_time=180
+popd